ProfileOutputServlet (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.http, class: ProfileOutputServlet

Package org.apache.hadoop.http

# Class ProfileOutputServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.eclipse.jetty.servlet.DefaultServlet
org.apache.hadoop.http.ProfileOutputServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `org.eclipse.jetty.server.ResourceService.WelcomeFactory`, `org.eclipse.jetty.util.resource.ResourceFactory`

@Private public class ProfileOutputServlet extends org.eclipse.jetty.servlet.DefaultServlet
Servlet to serve files generated by `ProfileServlet`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.eclipse.jetty.servlet.DefaultServlet

  `CONTEXT_INIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileOutputServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

  ### Methods inherited from class org.eclipse.jetty.servlet.DefaultServlet

  `destroy, doHead, doOptions, doPost, doTrace, getInitParameter, getResource, getWelcomeFile, init, initContextHandler`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doPut, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfileOutputServlet

    public ProfileOutputServlet()

- ## Method Details

  - ### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws javax.servlet.ServletException, IOException
    Overrides:
      `doGet` in class `org.eclipse.jetty.servlet.DefaultServlet`
    Throws:
      `javax.servlet.ServletException`
      `IOException`